/*GENERAL*/
.faq-arrow {
    display: inline-block;
    width: 20px;
    height: 15px;
    flex-shrink: 0;
    transform: rotate(180deg);
    background-color: #000000;
    mask-image: url('/wp-content/themes/twenty_campus/assets/img/svg/arrow_line.svg');
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    -webkit-mask-image: url('/wp-content/themes/twenty_campus/assets/img/svg/arrow_line.svg');
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
    transition: background-color 0.3s ease;
}

/*HOME TOP BANNER SEARCH FAQ*/
#home-banner-faq {
    max-width: 1920px;
    padding-left: 0;
    padding-right: 0;
}

#home-banner-faq .lefBanner {
    background-size: cover;
    background-position: center;
    position: relative;
}

#home-banner-faq .banner-row {
    height:250px;
}

#home-banner-faq .search_faq .search_faq_title  h1{
    font-size: 20px !important;
    font-weight: 900;
    text-transform: uppercase;
    line-height: normal;
}

#home-banner-faq .search_faq .search_faq_desc p {
    font-size: 14px;
}

.search-faq-input {
    width: 310px;
}

.search-faq-form {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    align-items: center;
    justify-content: center;

    #searchInput {
        border: 1px solid black;
        border-radius: 0;
        padding: 16px;
        font-size: 13px;
        font-weight: 700;
        width: 100%;
        max-width: 100%;
        display: flex;
        justify-content: space-around;
    }

    #sendBtn {
        background: white;
        color: black;
        border: 5px solid black;
        border-radius: 0;
        padding: 13px 30px;
        font-weight: 900;
        text-transform: uppercase;
        font-size: 13px;
        width: auto;
        max-width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 16px;

        img {
            width: 22px;
        }
    }

    #sendBtn:hover {
        background: black;
        color: white;
        img {
            filter: invert(1);
        }
    }

}
@media (min-width: 768px) {
    .search_faq {
        width:350px;
    }
    .search-faq-input {
        width:100%;
    }
}

@media (min-width: 992px) {
    .search_faq {
        width:400px;
    }
    #home-banner-faq .search_faq .search_faq_title  h1{
        font-size: 30px !important;
    }
}

@media (min-width: 1200px) {
    .search_faq {
        width:460px;
    }

    #home-banner-faq .search_faq .search_faq_title  h1{
        font-size: 34px !important;
    }

    #home-banner-faq .search_faq .search_faq_desc p {
        font-size: 16px;
    }
    #home-banner-faq .banner-row {
        height:320px;
    }

    #searchInput {
        height:70px;
    }

    #sendBtn {
        height:70px;
    }

}

@media (min-width: 1400px) {
    .search_faq {
        width:480px;
    }

    #home-banner-faq .search_faq .search_faq_desc p {
        font-size: 16px;
    }

    #home-banner-faq .banner-row {
        height:380px;
    }

}

@media (min-width: 1600px) {
    .search_faq {
        width:500px;
        margin:0!important;
        margin-left:50px!important;
    }

    #home-banner-faq .search_faq .search_faq_desc p {
        font-size: 18px;
    }
}


/*TOP BANNER FAQ*/
#top-banner-faq {
    max-width: 1920px;
    padding-left: 0;
    padding-right: 0;

    .lefBanner {
        background-size: cover;
        background-position: center;
        position: relative;
    }

    .banner-row {
        height: 60px;
    }

    .rightBanner {
        h1, div {
            font-size: 17px !important;
            font-weight: 900;
            text-transform: uppercase;
            line-height: normal;
            margin-bottom: 0;
            color:black;
        }
    }
}


@media (min-width: 992px) {
    #top-banner-faq {
        .banner-row {
            height: 240px;
        }

        .rightBanner {
            h1, div {
                font-size: 30px !important;
                padding-left: 3rem;
            }
        }
    }
}

@media (min-width: 1200px) {
    #top-banner-faq {
        .banner-row {
            height: 380px;
        }

        .rightBanner {
            h1, div {
                font-size: 34px !important;
            }
        }
    }
}


/*LIST ALL CATEGORIES*/
#list-category-card {
    .category-card-section {
        column-gap: 3rem;
        row-gap: 2rem;

        .category-card {
            flex: 0 0 280px;
            max-width: 280px;
            width: 100%;
            min-height: 40px;
            font-size: 15px;
            color: black;
        }

    }
}

@media (min-width: 768px) {
    #list-category-card {
        .category-card-section {

            .category-card {
                min-height: 50px;
            }
        }
    }
}

@media (min-width: 992px) {
    #list-category-card {
        .category-card-section {
            .category-card {
                font-size: 17px;
                min-height: 70px;
            }
        }
    }
}

@media (min-width: 1600px) {
    #list-category-card {
        .category-card-section {
            .category-card {
                flex: 0 0 325px;
                max-width: 325px;
                font-size: 18px;
                min-height: 80px;
            }
        }
    }
}

@media (min-width: 1800px) {
    #list-category-card {
        .category-card-section {
            .category-card {
                flex: 0 0 385px;
                max-width: 385px;
                width: 100%;
                min-height: 80px;
                font-size: 20px;
            }
        }
    }
}

@media (min-width: 1920px) {
    #list-category-card {
        .category-card-section {
            .category-card {
                flex: 0 0 410px;
                max-width: 410px;
                width: 100%;
                min-height: 80px;
                font-size: 20px;
            }
        }
    }
}


/*SINGLE FAQ*/

.main-faq-content {
    font-size: 14px;
    color: black;
}


@media (min-width: 992px) {
    .main-faq-content {
        font-size: 16px;
        color: black;
    }
}

@media (min-width: 1200px) {
    .main-faq-content {
        font-size: 20px;
        color: black;
    }
}


/*CONTENT FAQ LIST*/
#faq-content .main-faq-title {
    font-size: 20px;
}

#faq-content {
    .faq-list-item {
        .faq-item {
            min-height: 55px;
            background-color: white;
        }

        .faq-item:hover {
            background-color: #59D8BC;
        }

        .faq-item-title {
            font-size: 15px;
            margin-bottom: 0;
        }
    }
}

@media (min-width: 992px) {

    #faq-content .main-faq-title {
        font-size: 30px;
    }

    #faq-content {
        .faq-list-item {
            .faq-item-title {
                font-size: 17px;
            }
        }
    }
}

@media (min-width: 1200px) {

    #faq-content .main-faq-title {
        font-size: 34px;
    }

    #faq-content {
        .faq-list-item {
            .faq-item {
                min-height: 70px;
            }
            .faq-item-title {
                font-size: 20px;
            }
        }
    }


}


/*SIDEBAR FAQ*/
#faq-sidebar {
    flex-shrink: 0;
    width: 100%;
}

@media (min-width: 992px) {
    #faq-sidebar {
        width: 350px;
    }
}

@media (min-width: 1200px) {
    #faq-sidebar {
        width: 450px;
    }
}

#faq-sidebar .faq-sidebar__title {
    font-size: 20px;
}

/*SIDEBAR CATEGORY FAQ*/

#faq-sidebar .faq-sidebar__category-list .faq-sidebar__category-link {
    width: 100%;
    max-width: 300px;
    min-height: 40px;
    font-size: 15px;
    color: black;
}

@media (min-width: 992px) {
    #faq-sidebar .faq-sidebar__category-list .faq-sidebar__category-link {
        min-height: 50px;
        max-width: 100%;
        font-size: 17px;
    }
}

@media (min-width: 1200px) {
    #faq-sidebar .faq-sidebar__category-list .faq-sidebar__category-link {
        min-height: 70px;
        border-width: 5px !important;
        font-size: 20px;
    }
}


/*SIDEBAR FAQ LIST*/
#faq-sidebar .faq-sidebar__faq-list .faq-sidebar__faq-link {
    width: 100%;
    min-height: 55px;
    background-color: white;
}

#faq-sidebar .faq-sidebar__faq-list .faq-sidebar__faq-link:hover {
    background-color: #59D8BC;
}

#faq-sidebar .faq-sidebar__faq-list .faq-sidebar__faq-title {
    font-size: 15px;
    margin-bottom: 0;
    color: black;
    font-weight: 900;
}

@media (min-width: 992px) {
    #faq-sidebar .faq-sidebar__faq-list .faq-sidebar__faq-link {
        min-height: 60px;
    }

    #faq-sidebar .faq-sidebar__faq-list .faq-sidebar__faq-title {
        font-size: 17px;
    }
}

@media (min-width: 1200px) {
    #faq-sidebar .faq-sidebar__faq-list .faq-sidebar__faq-link {
        min-height: 80px;
    }

    #faq-sidebar .faq-sidebar__faq-list .faq-sidebar__faq-title {
        font-size: 20px;
    }
}